/*Styles généraux*/
*{
    margin: 0;
    padding: 0;
    font-family: arial sans-serif;
    box-sizing: border-box;
}
body{
    width: 100%;
}
h1{
    font-size: 40px;
    line-height: 64px;
    color: #eed755;
}
h2{
    font-size: 30px;
}
h3{
    font-size: 34px;
    line-height: 40px;
    color: white;
    margin-bottom: 20px;
}
h4{
    font-size: 24px;
    color: white;
}
p{
    font-size: 16px;
    padding: 10px;
    color: white;
    max-width: 100%;
}
/*style nav-bar*/
.logo{
    max-width: 100px;
    height: 50px;
    border-radius: 50%;
}
.nav-bar{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: burlywood;
    padding: 10px 20px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.7);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}
.topmenu{
    display: flex;
    align-items: center;
    justify-content: center;
}
.topmenu li{
    list-style: none;
    padding: 0px 7px;
}
.topmenu li a{
    color: white;
    text-decoration: none;
    font-size: 13px;
    font-weight: 500;
    text-transform: uppercase;
}
.topmenu li::after{
    content: '';
    width: 0%;
    height: 2px;
    background-color: white;
    display: block;
    margin-left: 0px;
    transition: 0.6s;
}
.topmenu li:hover::after{
    width: 70%;
}

/*début de la Description*/
.descrip1{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    background: url("../image/head1.jpeg");
    background-size: cover;
    background-position: center;
    height: 550px;
    
}
.info{
    height: 550px;
    background-color: rgba(65, 62, 62, 0.7);
    padding-left: 5%;
    width: 100%;
    text-align: left;
    color: white;
    font-size: 16px;
    padding-top: 100px;
    padding-bottom: 50px;
}
.info1{
    width: 60%;
    margin-top: 50px;
}
.lien-debut{
    background: transparent;
    border: 1px solid #fff;
    padding: 12PX 20px;
    margin-top: 30PX;
    width: 150PX;
    text-align: center;
    display: inline-block;
    position: relative;
    cursor: pointer;
}
.lien-debut:hover{
   background: whitesmoke;
   color: black;
   
}
.lien-debut a{
    text-decoration: none;
    color: white;
}
.lien-debut a:hover{
   color: black;
}

/*fin de la Description*/
/*partie de la présentation de produits*/
.produits{
    max-width: 100%;
    margin: auto;
    padding: 20px;
}
.titre{
    border-bottom: 1px solid black;
}
.titre-footer{
    font-size: 25px;
}
.produits span{
    font-size: 35px;
     animation-duration: 3s;
  animation-name: slidein;
  animation-iteration-count: infinite;
}


.projet{
    width: 100%;
    padding-left: 18%;
    padding-right: 18%;
    display: flex;
    justify-content: space-around;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}
.projet-img{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
    
}
.projet-img img{
    width: 100%;
    height: 100%;
    display: block;
}

.projet-titre{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    color: white;
    transition: 0.5s;
}
.projet-titre:hover{
    background: rgba(134, 131, 131, 0.7);
}
.projet-titre h3{
    width: 100%;
    font-weight: 500;
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.projet-titre:hover h3{
    bottom: 29%;
    opacity: 1;
}
.projet-titre a{
    text-decoration: none;
    color: white;
    padding: 0px 20px;
    border: 1px solid white;
}
.projet-titre a:hover{
    background-color: white;
    color: black;
}

/*debut du service*/
.motivation{
    background-color: whitesmoke;
    padding-top: 100px;
    padding-bottom: 100px;
    text-align: center;
    justify-items: center;
}
.motivation .h1{
    font-size: 35px;
    color: burlywood;
}
.descp-motivation{
    margin-top: 25px;
    max-width: 60%;

}
.service{
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding-top: 5%;
    padding-left: 10%;
    padding-right: 10%;
    margin-bottom: 15px;
}
.service-cart{
    width: 30%;
    height: auto;
    text-align: center;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
    padding: 3%;
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
}
.service-cart:hover{
    transition: 0.5s;
    text-align: center;
    box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.3);
    padding: 3%;
    background-color: whitesmoke;
}
.service-cart p{
    width: 100%;
    text-align: center;
}
.service-cart-titre{
    font-size: 25px;
    padding-top: 10px;
    padding-bottom: 10px;
}

/*fin du service*/
/*début du footer*/
footer{
    color: black;
    margin: 35px 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}
.colonne{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}
.colonne p{
    color: black;
}
.colonne .h3{
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 20px;
}
.colonne .h4{
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 16px;
}
.contact-info-detail .h4-p{
    line-height: 20px;
    padding-bottom: 18px;
    max-width: 300px;
}
.colonne a{
    text-decoration: none;
    color: black;
    line-height: 35px;
}
/*fin du footer*/

/*début de la responsive*/
@media screen and (max-width: 650px){
    .produits{
        padding: 5px;
    }
    /*debut de la projet*/
    .projet{
        width: 100%;
        height: 100%;
        padding: 5px;
        flex-wrap: wrap;
        justify-content: space-between;
        margin: auto;
        text-align: center;
        padding-top: 50px;
    }
    .projet-img{
        flex-basis: 100%;
        border-radius: 10px;
        margin-bottom: 30px;
        position: relative;
        overflow: hidden;
    }
    .projet-img img{
    width: 100%;
    height: 100%;
    display: block;
    }

    /*fin de la projet*/

   .info1{
    width: 100%;
    margin-top: 50px;
    }

    /*debut du projet*/
    .projet{
        flex-wrap: wrap;
        justify-content: space-between;
        padding-top: 15px;
        width: 100%;
    }
    .projet-cart{
        width: 100%;
        height: 20%;
        text-align: center;
        box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
        padding-top: 1%;
        padding-bottom: 5%;
        padding-left: 1%;
        padding-right: 1%;
        background-color: whitesmoke;
        margin-top: 20px;
    }
    .projet-cart p{
        width: 100%;
        text-align: center;
    }
    .projet-cart img{
        width: 100%;
        height: 300px;
    }
    /*fin du projet*/
    /*début service*/
    .descp-motivation{
        max-width: 100%;
    }
    .service{
        display: flex;
        flex-direction: column;
    }
    .service .service-cart{
        width: 100%;
        margin-top: 15px;
        padding: 10px;
    }
}

/*fin de la responsive*/
